#define         gitver %%nil

Name:           puddletag
Version:        2.2.0
Release:        %mkrel 2
Summary:        An audio tag editor
License:        GPLv2+
Group:          Sound
Url:            http://docs.puddletag.net/
Source0:        %{name}-%{version}.tar.xz
Patch0:         puddletag-2.2.0-relax-requirements.patch
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  imagemagick
Requires: python3-configobj
Requires: python3-mutagen
Requires: python3-pyparsing
Requires: python3-qt5
Requires: qtsvg5

%description
puddletag is an audio tag editor for GNU/Linux similar to Windows program
Mp3tag (http://www.mp3tag.de). Unlike most taggers for GNU/Linux, it uses a
spreadsheet-like layout so that all the tags you want to edit by hand are
visible and easily editable.

The usual tag editor features are supported like extracting tag information
from filenames, renaming files based on their tags by using patterns (that you
define, not crappy, uneditable ones).

Then there're functions, which can do things like replace text, trim, change
the case of tags, etc. Actions can automate repetitive tasks. You can import
your QuodLibet library, lookup tags using MusicBrainz, FreeDB or Amazon
(though it's only good for cover art) and more, but I've reached my comma
quota.

Supported formats: ID3v1, ID3v2 (mp3), MP4 (mp4, m4a, etc.), VorbisComments
(ogg, flac), Musepack (mpc), Monkey's Audio (.ape) and WavPack (wv).

%prep
%setup -qn %{name}-%{version}
%apply_patches

# remove shebang
sed -i 's,#!*/usr/bin/env python,,' puddlestuff/{puddleobjects.py,puddlesettings.py,puddletag.py}
sed -i 's,#! /usr/bin/env python,,' puddlestuff/webdb.py

rm -f README

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}
# install icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,64x64,96x96,128x128,256x256}/apps

install -m 0644 %{name}.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/

for i in 16x16 32x32 64x64 96x96 128x128; do
  convert -resize "$i" %{name}.png %{buildroot}%{_iconsdir}/hicolor/"$i"/apps/%{name}.png
done

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioVideo" \
  --remove-category="Player" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop



%files
%{_bindir}
%{_datadir}
%{python3_sitelib}

%changelog
* Sun Jul 30 2023 tex - 2.2.0-2pclos2023
- fix rpm group
